import type { MediaEntry } from './shared'

/**
 * Defines the supported formats for a gallery entry
 */
export type GalleryEntryFormat = 
  | 'image'

/**
 * This describes additional information about a gallery entry
 * to display when listing the entry on the gallery-list page.
 */
export type GalleryEntry = {
  /**
   * The kind of media the entry is
   */
  format: GalleryEntryFormat
  /**
   * URL to the markdown document of the gallery entry
   */
  url: string
} & MediaEntry
